using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using XYY.Common.Standard;
using XYY.Core.Standard.Mvc;
using XYY.Service.Standard.Finance.Charging.CustomerOrderFee;

namespace XYY.Api.Finance.Charges.Controllers
{
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class OrderChargesController : ApiControllerBase
    {
        #region 构造
        private readonly IOrder_ChargesService _order_ChargesService;
        private IChargeLogService _chargeLogService;
        public OrderChargesController(IOrder_ChargesService order_ChargesService)
        {
            _order_ChargesService = order_ChargesService;
        }
        #endregion
        [HttpPost]
        public async Task<IActionResult> QueryData(QueryModel queryModel)
        {
            var data = await _order_ChargesService.QueryData(queryModel);
            return Ok(data);
        }
    }
}
